Subject: Address Family Support in OSPFv3

From: Acee Lindem <[email-masked]>
Date: Tue, 10 Jun 2003 16:07:40 -0400

At the last IETF, the draft draft-mirtorabi-ospfv3-AF-00.txt was
presented. It proposes to make some protocol changes to OSPFv3 now
in case we ever want to support multiple address families (e.g.,
permutations of IPv4, IPv6, unicast, and multicast).

The draft raised a moderate level of technical discussion (mainly
centered on the proposal's backward compatibility mechanism). The
big question is whether or not there is a real requirement for this?
We all know this is done in ISIS but that doesn't necessarily mean
there is a requirement. And if there is, could the requirement better
be satisfied with multiple OSPFv3 instances. On the other hand, we
really want to get the protocol changes in as early as possible if
we ever want to support multiple address families.

Comments? I have some additional considerations that I will put
in a separate E-mail.

--
Acee